/*  TP serveur WEB
    prog1.ino
    test du shield Ethernet 
 */

#include <SPI.h>
#include <Ethernet.h>

// @ MAC du shield Ethernet
byte mac[] = { 0x90, 0xA2, 0xDA, 0x0D, 0x05, 0xEF };
// @ IP du shield
IPAddress ip(192,168,1, 60);
// port utilisé (par défaut 80 pour le protocole HTTP)
EthernetServer server(80);

void setup() {
 // configuration du port série pour la communication de l'Arduino avec le PC
  Serial.begin(9600);
   
  // démarrage de la connexion Ethernet
  Ethernet.begin(mac, ip);
  Serial.print("server is at ");
  Serial.println(Ethernet.localIP());
}

void loop() {
}
